Subject: ResourceId in disman-alarm-mib-03

From: Randy Presuhn <[email-masked]>
Date: Mon, 29 Oct 2001 11:55:10 -0800 (PST)

Hi -

There seem to be a few problems with ResourceID and
ResourceType in <draft-ietf-disman-alarm-mib-03.txt>

   - for applications, sysApplInstallPkgIndex is not
     sufficient to identify an application instance.
     sysApplRunIndex would also be needed.

   - why isn't logicalEntity one of the choices for the
     enumeration, for cases where entLogicalIndex would
     have the right value?

   - Integer32 is the wrong SYNTAX for the identifier.
     To handle the full range of sysApplInstallPkgIndex,
     it needs to be Unsigned32.

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

---

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 30 Oct 2001 20:12:20 -0500

hi

<Randy>

</Randy>

Ok, what about applIndex in the "Network Services Monitoring
MIB", RFC2788?

<Randy>
   - why isn't logicalEntity one of the choices for the
     enumeration, for cases where entLogicalIndex would
     have the right value?
</Randy>
I wasn't sure if it bought us much.  I can add it though.

<Randy>
</Randy>
Done.  

thanks,

Sharon

---

From: Randy Presuhn <[email-masked]>
Date: Tue, 30 Oct 2001 17:28:26 -0800 (PST)

Hi -

> Message-ID: <[email-masked]>
> From: "Sharon Chisholm" <[email-masked]>
> To: Randy Presuhn <[email-masked]>, [email-masked]
> Subject: RE: ResourceId in disman-alarm-mib-03
> Date: Tue, 30 Oct 2001 20:12:20 -0500
...
> Ok, what about applIndex in the "Network Services Monitoring
...

That'd probably be a step backwards.  RFC 2564 explains some
of the problems about referring to an instance of an application
which may require multiple processes.  (This is not a contrived
example - it's the norm for some data bases.)  RFC 2287's
sysApplRunIndex is probably the closest thing to what you want
that will fit in an integer if what you're interested in is
"application" rather than "process".